INCLUDE_DIRS = -I . -L .

ERROR_LEVEL = 5
CFLAGS = -D ERROR_LEVEL=${ERROR_LEVEL} -g ${INCLUDE_DIRS} -Wall

all: charger-project

charger-project: charger/charger.exe charger/charger.o serial/serial.o \
	smart_battery/smart_battery.o util/util.o xantrex_xfr/xfr.o
	cd charger; \
	make

charger/charger.exe: charger/charger.o

clean:
	rm *.o *~; \
	rm charger/*.o charger/*~ charger/charger.exe; \
	rm serial/*.o serial/*~; \
	rm util/*.o util/*~;\
	rm smart_battery/*.o smart_battery/*~;\
	rm xantrex_xfr/*.o xantrex_xfr/*~;

